Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_ServerRequest Class Reference

`#include <Server_Request.h>`

Collaboration diagram for CORBA_ServerRequest:

[legend]
List of all members.

## Public Types
typedef CORBA::ServerRequest_ptr | _ptr_type
## Public Methods
| CORBA_ServerRequest (TAO_ServerRequest &orb_server_request)
| ~CORBA_ServerRequest (void)
void | arguments (CORBA::NVList_ptr &list, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | set_result (const CORBA::Any &value, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | set_exception (const CORBA::Any &value, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
void | dsi_marshal (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
CORBA::Context_ptr | ctx (void) const
void | ctx (CORBA::Context_ptr)
const char* | operation (void) const
CORBA::ULong | _incr_refcnt (void)
CORBA::ULong | _decr_refcnt (void)
void | _tao_lazy_evaluation (int lazy_evaluation)
int | _tao_incoming_byte_order (void) const
void | _tao_reply_byte_order (int byte_order)
TAO_ServerRequest& | _tao_server_request (void)
| Return a reference to the underlying TAO_ServerRequest object.
void | gateway_exception_reply (ACE_CString &raw_exception)
## Static Public Methods
CORBA_ServerRequest_ptr | _duplicate (CORBA_ServerRequest_ptr)
CORBA_ServerRequest_ptr | _nil (void)
## Private Attributes
int | lazy_evaluation_
CORBA::Context_ptr | ctx_
CORBA::NVList_ptr | params_
CORBA::Any_ptr | retval_
CORBA::Any_ptr | exception_
CORBA::ULong | refcount_
TAO_SYNCH_MUTEX | lock_
TAO_ServerRequest& | orb_server_request_
int | sent_gateway_exception_

## Member Typedef Documentation

typedef CORBA::ServerRequest_ptr CORBA_ServerRequest::_ptr_type

## Constructor & Destructor Documentation

CORBA_ServerRequest::CORBA_ServerRequest ( | TAO_ServerRequest & orb_server_request )

CORBA_ServerRequest::~CORBA_ServerRequest ( | void )

## Member Function Documentation

CORBA::ULong CORBA_ServerRequest::_decr_refcnt ( | void )

ACE_INLINE CORBA_ServerRequest_ptr CORBA_ServerRequest::_duplicate ( | CORBA_ServerRequest_ptr x )`[static]`

CORBA::ULong CORBA_ServerRequest::_incr_refcnt ( | void )

ACE_INLINE CORBA_ServerRequest_ptr CORBA_ServerRequest::_nil ( | void )`[static]`

ACE_INLINE int CORBA_ServerRequest::_tao_incoming_byte_order ( | void ) const

ACE_INLINE void CORBA_ServerRequest::_tao_lazy_evaluation ( | int lazy_evaluation )

ACE_INLINE void CORBA_ServerRequest::_tao_reply_byte_order ( | int byte_order )

ACE_INLINE TAO_ServerRequest & CORBA_ServerRequest::_tao_server_request ( | void )

| Return a reference to the underlying TAO_ServerRequest object.

void CORBA_ServerRequest::arguments ( | CORBA::NVList_ptr & list,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

ACE_INLINE void CORBA_ServerRequest::ctx ( | CORBA::Context_ptr ctx )

ACE_INLINE CORBA::Context_ptr CORBA_ServerRequest::ctx ( | void ) const

void CORBA_ServerRequest::dsi_marshal ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ServerRequest::gateway_exception_reply ( | ACE_CString & raw_exception )

ACE_INLINE const char * CORBA_ServerRequest::operation ( | void ) const

void CORBA_ServerRequest::set_exception ( | const CORBA::Any & value,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

void CORBA_ServerRequest::set_result ( | const CORBA::Any & value,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )

## Member Data Documentation

CORBA::Context_ptr CORBA_ServerRequest::ctx_`[private]`

CORBA::Any_ptr CORBA_ServerRequest::exception_`[private]`

int CORBA_ServerRequest::lazy_evaluation_`[private]`

TAO_SYNCH_MUTEX CORBA_ServerRequest::lock_`[private]`

TAO_ServerRequest & CORBA_ServerRequest::orb_server_request_`[private]`

CORBA::NVList_ptr CORBA_ServerRequest::params_`[private]`

CORBA::ULong CORBA_ServerRequest::refcount_`[private]`

CORBA::Any_ptr CORBA_ServerRequest::retval_`[private]`

int CORBA_ServerRequest::sent_gateway_exception_`[private]`

The documentation for this class was generated from the following files:

- Server_Request.h
- Server_Request.cpp
- Server_Request.inl